Subject: bug#24279: closed (Re: bug#24279: Bug in xterm and/or fontconfig)

From: [email-masked] (GNU bug Tracking System)
Date: Fri, 01 Dec 2017 15:02:03 +0000

Your bug report

#24279: xterm aborts upon ctrl+click

which was filed against the guix package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
24279: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=24279
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#24279: Bug in xterm and/or fontconfig
From: [email-masked] (Ludovic Courtès)
To: Maxim Cournoyer <[email-masked]>
Cc: [email-masked], John Darrington <[email-masked]>, Oleg Pykhalov <[email-masked]>
Date: Fri, 01 Dec 2017 16:01:55 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Hello,

Maxim Cournoyer <[email-masked]> skribis:

> [email-masked] (Ludovic Courtès) writes:
>
> [...]
>
>> We can also fix this once and for all with this patch:
>>
>> diff --git a/gnu/services/xorg.scm b/gnu/services/xorg.scm
>> index 0da3397da..8f285b29a 100644
>> --- a/gnu/services/xorg.scm
>> +++ b/gnu/services/xorg.scm
>> @@ -113,6 +113,8 @@
>>          (file-append font-alias "/share/fonts/X11/100dpi")
>>          (file-append font-alias "/share/fonts/X11/misc")
>>          (file-append font-alias "/share/fonts/X11/cyrillic")
>> +        (file-append font-misc-misc               ;default fonts for xterm
>> +                     "/share/fonts/X11/misc")
>>          (file-append font-adobe75dpi "/share/fonts/X11/75dpi")))
>>  
>>  (define* (xorg-configuration-file #:key
>>
>>
>> That adds 4.1 MiB, but it saves user headaches, so I think it’s worth it.
>>
>> I’ll go ahead and push that if there are no objections.
>
> And another bug down! :) Thanks for fixing it; LGTM!

Awesome, I went ahead and pushed as
4afc903a8c1b9cb19c0341b5cd2ea80a34974f25.

Thanks everyone!

Ludo’.

Subject: Bug in xterm and/or fontconfig
From: John Darrington <[email-masked]>
To: [email-masked]
Date: Sun, 21 Aug 2016 15:18:06 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

In GuixSD:

guix package -i xterm strace
strace xterm

xterm starts as it should,  however observe many failed calls similar to:
 open("/gnu/store/b484nvn9nnr3ddclpz2fma9yxmimg2jj-fontconfig-2.11.94/lib/libXdmcp.so.6", O_RDONLY|O_CLOEXEC) = -1 ENOENT (No such file or directory)

Now in the xterm, hold down Ctrl and press any mouse button.
The xterm aborts with the following messages:
 Warning: Unable to load any usable ISO8859 font
 Error: Aborting: no font found

-- 
Avoid eavesdropping.  Send strong encryted email.
PGP Public key ID: 1024D/2DE827B3 
fingerprint = 8797 A26D 0854 2EAB 0285  A290 8A67 719C 2DE8 27B3
See http://sks-keyservers.net or any PGP keyserver for public key.